Subject: Re: git-svn+cygwin failed fetch

From: Eric Wong <[email-masked]>
Date: Wed, 11 Jul 2007 22:48:00 -0700

Russ Dill <[email-masked]> wrote:
> On 7/11/07, Eric Wong <[email-masked]> wrote:
> >Russ Dill <[email-masked]> wrote:
> >> [...]/src $ mkdir foo
> >> [...]/src $ cd foo
> >> [...]/src/foo $ git-svn init -t tags -b branches -T trunk
> >> https://www.[...].com/svn/foo/bar/bla
> >> Initialized empty Git repository in .git/
> >> Using higher level of URL: https://www.[...].com/svn/foo/bar/bla =>
> >> https://www.[...].com/svn/foo
> >>
> >> [...]/src/foo $ git-svn fetch
> >> config --get svn-remote.svn.url: command returned error: 1
> >>
> >> [...]/src/foo $ git config --get svn-remote.svn.url
> >> https://www.[...].com/svn/foo
> >
> >Sorry, I can't help here other than recommending a real UNIX with
> >fork + pipe + exec and all that fun stuff.
> >
> >git-svn relies heavily[1] on both input and output pipes of the
> >safer-but-made-for-UNIX fork + pipe + exec(@list) variety, so I suspect
> >this is just the tip of the iceberg for Windows incompatibilies with
> >git-svn...
> 
> Its actually reading and writing quite a bit of stuff from the config
> file, so why this one simple command would fail eludes me. Especially
> since it wrote it there in the first place. If I comment out the
> command_oneline and hardcode the value I know it should return,
> git-fetch runs. Its actually been running for several hours now.

Wow.  That's a pleasant surprise that anything in git-svn works at all
on cygwin.  I was almost certain git-svn on Windows was a hopeless cause
from other chatter I had heard on the mailing list.

command_oneline() is used everywhere in that code, so I'm at a total loss
as to why it would fail in one place.  Can you put a the following lines
right before where it was failing?

	print "GIT_CONFIG: $ENV{GIT_CONFIG} | GIT_DIR: $ENV{GIT_DIR}\n";
	system('cat', "$ENV{GIT_DIR}/config");

And tell me what it outputs?

-- 
Eric Wong